Subject: Re: getting "shell command argument contains a newline or carriage return:" error with pg_dumpall when db name have new line in double quote

From: Andrew Dunstan <[email-masked]>
Date: Wed, 2 Apr 2025 08:35:59 -0400

On 2025-04-02 We 7:45 AM, Mahendra Singh Thalor wrote:
> On Fri, 28 Mar 2025 at 20:13, Nathan Bossart 
> <[email-masked]> wrote:
> >
> > On Fri, Mar 28, 2025 at 05:08:26PM +0530, Mahendra Singh Thalor wrote:
> > > Here, I am attaching updated patches for review.
> > >
> > > v04_001* has the changes for CREATE DATABASE/ROLE/USER and
> > > v04_002* has the changes into pg_upgrade to give ALERTS for 
> invalid names.
> >
> > In general, +1 for these changes.  Thanks for picking this up.
>
> Thanks Nathan for quick feedback.
>
> >
> > If these are intended for v18, we probably should have a committer
> > attached to it soon.  I'm not confident that I'll have time for it,
> > unfortunately.
>
> I think Andrew is planning this as a cleanup for "non-text pg_dumpall" 
> patch. Andrew, please if you have some bandwidth, then please let us 
> know your feedback for these patches.

Not sure if I will have time for this.

cheers

andrew

--
Andrew Dunstan
EDB:https://www.enterprisedb.com